package com.viettel.campaign.repository;

import com.viettel.campaign.web.dto.CampaignDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CampaignRepositoryCustom {
    List<CampaignDTO> searchCampaignExecute(String agentId, Pageable pageable);

    ResultDTO search(CampaignRequestDTO requestDto);
    ResultDTO findByCampaignCode(CampaignRequestDTO requestDTO);
}
